Bug 1659065 - [RFE] Tooling for Overcloud Control Plane Backup and Restore
Summary: [RFE] Tooling for Overcloud Control Plane Backup and Restore
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: ---
Assignee: Juan Badia Payno
QA Contact: Eliad Cohen
URL:
Whiteboard:
Depends On: 1431737
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 13:53 UTC by Fabrizio Soppelsa
Modified: 2020-12-14 14:13 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 13:43:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fabrizio Soppelsa 2018-12-13 13:53:13 UTC
Description of problem:
Backport of Bug 1431737 - [RFE] Tooling for Overcloud Control Plane Backup and Restore to RHOSP 13

Comment 6 Carlos Camacho 2019-09-27 08:36:39 UTC
The tooling you are referring to is to handle the control plane backup and restore using ReaR (available as documentation), if the docs are followed correctly the procedure available for OSP15 can be used for OSP10 and OSP13, for each version, specific documentation will be released (i.e differences between podman and docker).

The automated procedure to run ReaR based on Ansible, is available now upstream and it will be available downstream when OSP16 is released.

Comment 7 Juan Badia Payno 2020-03-27 13:43:03 UTC
The document for backup and restore for osp13 with rear can be found [1], it has very few steps.
There is an ansible role that can be found on the tripleo-ansible upstream project [2], it was not tested on osp13 though.

There is no tooling for the ReaR procedure for osp13, and it's not going to be backported. 

[1] - https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/13/html/undercloud_and_control_plane_back_up_and_restore/index
[2] - https://github.com/openstack/tripleo-ansible/

Comment 8 Irina Petrova 2020-05-27 21:11:11 UTC
Just a small clarification: ReaR effectively **is** the Backup and Restore "Tooling". 
That is, "tooling" was used in the sense of "having a tool/procedure that can backup-and-restore the Overcloud Control plane". 

So, technically this BZ should be closed with CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.